Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, IteratorFragment_, Skew_ >::BaseStorage Struct Reference

Storage object.

`#include <tile_iterator.h>`

## Public Types
typedef Scalar | Scalar
| Underlying scalar type. More...
typedef ShapeAdd< Tile, Skew >::Shape | Allocation
| Shape of allocation. More...
typedef Tile | Shape
| Shape of array. More...

## Public Member Functions
CUTLASS_HOST_DEVICE Scalar * | data ()
| Returns a raw pointer. More...
CUTLASS_HOST_DEVICE Scalar const * | data () const
| Returns a raw pointer. More...

## Static Public Member Functions
static CUTLASS_HOST_DEVICE Index | leading_dim ()
| Returns the leading dimension. More...

## Public Attributes
Scalar | scalars [Allocation::kD][Allocation::kH][Allocation::kW][Allocation::kC]
| Data storage. More...

## Member Typedef Documentation

## ◆ Allocation

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, IteratorFragment::Kind IteratorFragment_ = IteratorFragment::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

typedef ShapeAdd<Tile, Skew>::Shape cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, IteratorFragment_, Skew_ >::BaseStorage::Allocation

## ◆ Scalar

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, IteratorFragment::Kind IteratorFragment_ = IteratorFragment::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

typedef Scalar cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, IteratorFragment_, Skew_ >::BaseStorage::Scalar

## ◆ Shape

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, IteratorFragment::Kind IteratorFragment_ = IteratorFragment::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

typedef Tile cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, IteratorFragment_, Skew_ >::BaseStorage::Shape

## Member Function Documentation

## ◆ data() [1/2]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, IteratorFragment::Kind IteratorFragment_ = IteratorFragment::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE Scalar* cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, IteratorFragment_, Skew_ >::BaseStorage::data | ( |  | ) |
| inline

## ◆ data() [2/2]

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, IteratorFragment::Kind IteratorFragment_ = IteratorFragment::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

CUTLASS_HOST_DEVICE Scalar const* cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, IteratorFragment_, Skew_ >::BaseStorage::data | ( |  | ) | const
| inline

## ◆ leading_dim()

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, IteratorFragment::Kind IteratorFragment_ = IteratorFragment::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

static CUTLASS_HOST_DEVICE Index cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, IteratorFragment_, Skew_ >::BaseStorage::leading_dim | ( |  | ) |
| inline static

## Member Data Documentation

## ◆ scalars

template<typename Traits_, typename Scalar_, IteratorAdvance::Kind Advance_ = IteratorAdvance::kH, MemorySpace::Kind MemorySpace = MemorySpace::kGeneric, typename Index_ = int, typename FragmentElement_ = Scalar_, IteratorFragment::Kind IteratorFragment_ = IteratorFragment::kScalar, typename Skew_ = Shape<0, 0, 0, 0>>

Scalar cutlass::TileIteratorBase< Traits_, Scalar_, Advance_, MemorySpace, Index_, FragmentElement_, IteratorFragment_, Skew_ >::BaseStorage::scalars[Allocation::kD][Allocation::kH][Allocation::kW][Allocation::kC]

The documentation for this struct was generated from the following file:

- tile_iterator.h